--- orig/debian/elho-base-preconf.postinst
+++ mod/debian/elho-base-preconf.postinst
@@ -29,6 +29,18 @@
 	# prevent exim4-config from appending mailname again
 	debconf-fset exim4/dc_other_hostnames mailname true
 
+	# remove APT proxy configuration done by the installer
+	if [ -f /etc/apt/apt.conf ]; then
+	    if [ $(grep --invert-match --count '^Acquire::http::Proxy .*;$' \
+		/etc/apt/apt.conf) -gt 0 ]; then
+		sed --in-place='.dpkg-old' \
+		    --expression='/^Acquire::http::Proxy .*;$/d' \
+		    /etc/apt/apt.conf
+	    else
+		rm -f /etc/apt/apt.conf
+	    fi
+	fi
+
 	# remove obsolete sysctl configuration
 	if [ -f /etc/sysctl.d/proc-maps.conf ]; then
 	    rm -f /etc/sysctl.d/proc-maps.conf
